<?php
namespace RopiCmsExtensions;

class RopiCmsExtensions extends \Shopware\Components\Plugin
{

    public static function getSubscribedEvents()
    {
        return [
            'Enlight_Controller_Action_PreDispatch_Frontend' => ['onPreDispatch', -100],
            'Enlight_Controller_Action_PreDispatch_Backend' => ['onPreDispatch', -100],
            'Enlight_Controller_Action_PreDispatch_Widgets' => ['onPreDispatch', -100],
            'RopiCms_BuildSubcontext_RopiCmsExtensionsNews' => 'onBuildSubcontext'
        ];
    }

    public function onPreDispatch()
    {
        $this->container->get('Template')->addTemplateDir(
            $this->getPath() . '/Resources/Views/'
        );
    }

    public function onBuildSubcontext(\Enlight_Event_EventArgs $args)
    {
        $request = $args->getController()->Request();

        if ($request->getActionName() === 'show') {
            if (!isset($_GET['newsId']) || $_GET['newsId'] <= 0) {
                return [];
            }

            return ['newsId' => $_GET['newsId']];
        }

        return [];
    }
}
